### Method

# Gimp Image merge_down

#### Declaration [src]

    GimpLayer*
    gimp_image_merge_down (
      GimpImage* image,
      GimpLayer* merge_layer,
      GimpMergeType merge_type
    )

#### Description [src]

Merge the layer passed and the first visible layer below.

This procedure combines the passed layer and the first visible layer below it using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

#### Parameters

`merge_layer` | `GimpLayer`
| The layer to merge down from.
| The data is owned by the caller of the function.
`merge_type` | `GimpMergeType`
| The type of merge.

#### Return value

Returns: | `GimpLayer`
| The resulting layer.
| The data is owned by the instance.